<template>
  <div class="px-5">
    <v-card
    max-width="400px"
    height="440px"
    class="mx-auto my-5 grey lighten-3 pa-4"
    justify="center"
    justify-center
    >
      <h2 class="grey--text text-center">SIGN IN FORM</h2>
      <v-divider class="my-4"></v-divider>
        <v-card
         max-width="440px"
         class="mx-auto"
        >
          <v-form
            ref="form"
            v-model="valid"
            lazy-validation
          >
          <v-layout
            row
            wrap
            class="pa-2"
          >
            <v-row justify="center">
                <v-flex lg7 md7 sm7 xs8>
                  <v-col>
                    <v-text-field
                      v-model="email"
                      :rules="emailrule"
                      label="Email ID"
                      required
                    ></v-text-field>
                  </v-col>
                  <v-divider></v-divider>
                </v-flex>
                <v-flex lg7 md7 sm7 xs8>
                  <v-col>
                    <v-text-field
                      v-model="password"
                      :append-icon="show ? 'mdi-eye' : 'mdi-eye-off'"
                      :rules="passwordrule"
                      :type="show ? 'text' : 'password'"
                      label="Password"
                      required
                      @click:append="show = !show"
                    ></v-text-field>
                  </v-col>
                  <v-divider></v-divider>
                </v-flex>
                <v-flex lg6 md6 sm6 xs8>
                  <v-col class="text-center justify-center mt-5">
                    <v-btn
                      :disabled="!valid"
                      color="secoundary"
                      block
                      class="mr-4 mb-2 white--text"
                      @click="validate"
                    >
                      SIGN IN
                    </v-btn>
                  </v-col>
                </v-flex>
            </v-row>
          </v-layout>
          </v-form>
       </v-card>
    </v-card>
  </div>
</template>
<script>

export default {
  data() {
    return {
      valid: true,
      show: false,
      email: '',
      password: '',
      emailrule: [
        (v) => !!v || 'E-mail is required',
        (v) => /.+@.+\..+/.test(v) || 'E-mail must be valid',
      ],
      passwordrule: [
        (v) => !!v || 'Password is required',
        (v) => (v && v.length >= 6) || 'Descritpion must be greater than 6 characters',
      ],
    };
  },
  methods: {
    validate() {
      if (this.$refs.form.validate()) {
        this.$emit('submit', this.email, this.password);
        this.$refs.form.reset();
        console.log('Form submit');
      } else {
        console.log('not submit');
      }
    },
  },

};
</script>
